import type { ExternalMethods, ReadModelCursor, ReadModelLedger } from './types';
export declare const buildEvents: (currentPool: {
    ledgerTableNameAsId: string;
    databaseNameAsId: string;
    trxTableNameAsId: string;
    eventTypes: Array<string> | null;
    inputCursor: ReadModelCursor;
    readModelLedger: ReadModelLedger;
    xaKey: string;
    metricData: any;
}, ...args: Parameters<ExternalMethods['build']>) => ReturnType<ExternalMethods['build']>;
declare const build: ExternalMethods['build'];
export default build;
